### Method

# AppStreamCompose Media ensure_worker

since: 1.2.0

#### Declaration [src]

    gboolean
    asc_media_ensure_worker (
      AscMedia* media,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Ensure a media worker process is running, spawning one if necessary. This function is called implicitly by all media operations, calling it explicitly is only useful to make worker startup problems surface early.

Available since: 1.2.0

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the worker is running.